# Uses of Class
org.eclipse.swt.widgets.ExpandBar

Packages that use ExpandBar
Package
Description
org.eclipse.swt.widgets

## Uses of ExpandBar in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return ExpandBar
Modifier and Type
Method
Description
`ExpandBar`
ExpandItem.`getParent()`
Returns the receiver's parent, which must be a `ExpandBar`.
Constructors in org.eclipse.swt.widgets with parameters of type ExpandBar
Modifier
Constructor
Description
``
`ExpandItem(ExpandBar parent, int style)`
Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.
``
`ExpandItem(ExpandBar parent, int style, int index)`
Constructs a new instance of this class given its parent, a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.